API Reference

List staffs

get

Returns a paginated list of staffs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
pageintegerOptional

Page number

Default: 1
limitintegerOptional

Number of items per page

Default: 20
Responses
chevron-right
200

Successful operation

application/json
countintegerOptional
nextstring · nullableOptional
previousstring · nullableOptional
get
/staffs/

Create a staff

post

Creates a new staff record.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
retail_storesinteger[]Required

List of retail store IDs

first_namestring · max: 30Required
last_namestring · max: 150Required
emailstring · emailRequired
is_activebooleanOptional
remote_idstring · nullableRequired
passwordstringRequired
permission_groupsinteger[]Optional

List of permission group IDs

Responses
post
/staffs/

Retrieve a staff

get

Returns detailed information of a staff by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
Responses
chevron-right
200

Successful operation

application/json
get
/staffs/{id}/

Update a staff

put

Updates the details of a single staff identified by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
Body
retail_storesinteger[]RequiredExample: [1,2]
first_namestringRequiredExample: John
last_namestringRequiredExample: Doe
emailstring · emailRequiredExample: [email protected]
is_activebooleanRequiredExample: true
is_staffbooleanRequiredExample: true
remote_idstring · nullableRequiredExample: abcd-1234
usernamestringRequiredExample: johndoe
Responses
chevron-right
200

Successful operation

application/json
retail_storesinteger[]Optional

List of retail store IDs

Example: [1,2]
first_namestringOptionalExample: John
last_namestringOptionalExample: Doe
emailstring · emailOptionalExample: [email protected]
remote_idstringOptionalExample: 123
passwordstringOptional
permission_groupsinteger[]OptionalExample: [5,6]
put
/staffs/{id}/

Partially update a staff

patch

Partially updates the details of a single staff. Only the provided fields will be updated; other fields remain unchanged.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
Body
retail_storesinteger[]OptionalExample: [1,2]
first_namestringOptionalExample: John
last_namestringOptionalExample: Doe
emailstring · emailOptionalExample: [email protected]
is_activebooleanOptionalExample: true
is_staffbooleanOptionalExample: true
remote_idstring · nullableOptionalExample: abcd-1234
usernamestringOptionalExample: johndoe
Responses
chevron-right
200

Successful operation

application/json
retail_storesinteger[]Optional

List of retail store IDs

Example: [1,2]
first_namestringOptionalExample: John
last_namestringOptionalExample: Doe
emailstring · emailOptionalExample: [email protected]
remote_idstringOptionalExample: 123
passwordstringOptional
permission_groupsinteger[]OptionalExample: [5,6]
patch
/staffs/{id}/

Lists the permissions a staff has

get

Returns the permission details of given staff identified by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
Responses
chevron-right
200

Successful operation

application/json
idintegerOptionalExample: 1
is_visible_for_userbooleanOptionalExample: true
created_datestring · date-timeOptionalExample: 2024-12-30T13:40:22.531128Z
modified_datestring · date-timeOptionalExample: 2025-07-18T10:06:16.116904Z
namestringOptionalExample: OMS CargoCompany List
pathstringOptionalExample: cargo_company-oms:oms-cargo-company
labelstring · nullableOptional
methodstring · nullableOptional
parentstring · nullableOptional
permission_groupsinteger[]OptionalExample: [1]
get
/staffs/{id}/list_staff_permission_info/

Changes the password of the staff.

post

Changes the password of the staff.

Body
staffintegerRequired

The ID of the staff whose password will be changed.

Example: 32
new_passwordstringRequired

The new password to be set for the staff.

Example: 123
Responses
chevron-right
200

Successful operation

No content

post
/staffs/change_password/

No content

Lists staff with duplicate emails

get

Returns staff records that have the same email address.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
formatstring · enumOptional

Response format

Default: jsonPossible values:
Responses
chevron-right
200

Successful operation

application/json
idintegerOptionalExample: 32
last_loginstring · date-timeOptionalExample: 2025-07-18T10:06:16.115573Z
is_superuserbooleanOptionalExample: false
is_staffbooleanOptionalExample: true
date_joinedstring · date-timeOptionalExample: 2024-12-30T13:40:22.530558Z
created_datestring · date-timeOptionalExample: 2024-12-30T13:40:22.531128Z
modified_datestring · date-timeOptionalExample: 2025-07-18T10:06:16.116904Z
first_namestringOptionalExample: John
last_namestringOptionalExample: Doe
emailstringOptionalExample: [email protected]
is_activebooleanOptionalExample: true
remote_idstringOptionalExample: 2222
usernamestring · nullableOptionalExample: john.doe
permission_groupsinteger[]OptionalExample: [1]
current_storestring · nullableOptional
get
/staffs/duplicate_email_staffs/

Last updated

Was this helpful?